'use strict';

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _assert = require('./assert');

var _state = require('../state');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('unfort/state', () => {
  describe('#createState', () => {
    it('should produce a record with sane defaults', () => {
      const state = (0, _state.createState)();

      _assert.assert.deepEqual(state.entryPoints, []);
      _assert.assert.equal(state.sourceRoot, process.cwd());
      _assert.assert.equal(state.rootNodeModules, _path2.default.join(process.cwd(), 'node_modules'));
      _assert.assert.equal(state.cacheDirectory, _path2.default.join(process.cwd(), '.unfort'));
    });
    it('should allow values to be defined', () => {
      const state = (0, _state.createState)({
        entryPoints: 'test entry points',
        sourceRoot: 'test source root',
        rootNodeModules: 'test root node modules',
        cacheDirectory: 'test cache dir',
        jobCache: 'test job cache'
      });

      _assert.assert.equal(state.entryPoints, 'test entry points');
      _assert.assert.equal(state.sourceRoot, 'test source root');
      _assert.assert.equal(state.rootNodeModules, 'test root node modules');
      _assert.assert.equal(state.cacheDirectory, 'test cache dir');
      _assert.assert.equal(state.jobCache, 'test job cache');
    });
  });
});
//# sourceMappingURL=state.js.map